Name:           python-edx-repo-tools
Version:        3.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This repo contains a number of tools Open edX uses for working with GitHub repositories.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/openedx/repo-tools
Source:         %{pypi_source edx_repo_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edx-repo-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edx-repo-tools
Summary:        %{summary}

%description -n python3-edx-repo-tools %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-edx-repo-tools audit_gh_users,conventional_commits,dev,find_dependencies,pull_request_creator,repo_access_scraper,repo_checks


%prep
%autosetup -p1 -n edx_repo_tools-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x audit_gh_users,conventional_commits,dev,find_dependencies,pull_request_creator,repo_access_scraper,repo_checks


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edx-repo-tools -f %{pyproject_files}


%changelog
%autochangelog